> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goatpay.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar consultas de crédito

> undefined

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://api.goatpay.com.br/v1/serasa/reports/list?offset=0&limit=10' \
    -H 'X-API-Key: gp_live_SUA_CHAVE'
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "success": true,
    "message": "Consultas de crédito listadas",
    "data": {
      "object": "list",
      "hasMore": false,
      "totalCount": 1,
      "limit": 10,
      "offset": 0,
      "data": [{
      "id": "6c5e73fa-9efd-4a75-b60c-1cafb8d1c7ed",
      "status": "DONE",
      "cpfCnpj": "05666663755",
      "customer": "clx_customer",
      "dateCreated": "2026-05-31T10:00:00.000Z"
    }]
    },
    "requestId": "req_abc"
  }
  ```
</ResponseExample>

### Parâmetros de query

<ParamField query="offset" type="number">
  Índice inicial (padrão 0).
</ParamField>

<ParamField query="limit" type="number">
  Itens por página (máx. 100).
</ParamField>

<ParamField query="startDate" type="string">
  Filtro início YYYY-MM-DD.
</ParamField>

<ParamField query="endDate" type="string">
  Filtro fim YYYY-MM-DD.
</ParamField>
